$(document).ready(function () {
    function promoTopNext() {
        if ($('.promo-backs').length) {
            setTimeout(function () {
                var current = $('.promo-bg.current');
                current.removeClass('current');
                if (current.next().length) {
                    current.next().addClass('current');
                } else {
                    current.parent().find('.promo-bg:first-child').addClass('current');
                }
                promoTopNext();
            }, 4500);
        }
    };
    promoTopNext();
});